globus-gssapi-gsi (14.9-1) unstable; urgency=medium

  * Allow TLS 1.0/1.1
  * Fix leaks

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 16 Nov 2018 14:52:44 +0100

globus-gssapi-gsi (14.7-1) unstable; urgency=medium

  * Switch upstream to Grid Community Toolkit
  * First Grid Community Toolkit release (14.0)
    - Put back use of SSL_OP_DONT_INSERT_EMPTY_FRAGMENTS
  * Use 2048 bit RSA key for tests (14.1)
  * Avoid TLS 1.3 - needs porting (14.2)
  * Merge GT6 update 13.6 into GCT (14.3)
  * Merge GT6 update 13.8 into GCT (14.4)
  * Fix globus-gsi-proxy-core version dependency in configure.ac (14.5)
  * Merge GT6 update 13.9 into GCT (14.6)
  * Merge GT6 update 13.10 into GCT (14.7)
  * Drop patch globus-gssapi-gsi-empty-frag.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 16 Sep 2018 03:16:32 +0200

globus-gssapi-gsi (13.10-1) unstable; urgency=medium

  * GT6 update:
    - Set the default minimum TLS version to 1.2. 1.0 and 1.1 are deprecated.
    - Set the maximum TLS version default to 1.2. 1.3 is not yet supported.
    - Use 2048 bit keys to support openssl 1.1.1 (13.9)
    - Fix resource leak when loading cert directories (13.10)
  * Drop patch globus-gssapi-gsi-2048-bits.patch and
    globus-gssapi-gsi-no-tls13.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 01 Sep 2018 20:48:55 +0200

globus-gssapi-gsi (13.8-2) unstable; urgency=medium

  * Use 2048 bit RSA key for tests (Closes: #898803)
  * Avoid TLS 1.3 - needs porting (Closes: #898803)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 26 Aug 2018 12:58:59 +0200

globus-gssapi-gsi (13.8-1) unstable; urgency=medium

  * GT6 update: Add context inquire OID support to get TLS version and cipher

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 17 Jun 2018 18:12:23 +0200

globus-gssapi-gsi (13.6-1) unstable; urgency=medium

  * GT6 update: Enable ECDH ciphers for openssl < 1.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 01 Jun 2018 16:45:55 +0200

globus-gssapi-gsi (13.5-1) unstable; urgency=medium

  * GT6 update: Don't check uid on win
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 08 Apr 2018 15:06:02 +0200

globus-gssapi-gsi (13.4-1) unstable; urgency=medium

  * GT6 update: Improve vhost support

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 02 Nov 2017 15:25:59 +0100

globus-gssapi-gsi (13.3-1) unstable; urgency=medium

  * GT6 update: Allow configuration of non-root user to own credentials for
    root services

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 31 Oct 2017 08:43:36 +0100

globus-gssapi-gsi (13.2-1) unstable; urgency=medium

  * GT6 update: fix make clean rule, fix alpn mismatch test
  * Drop patches globus-gssapi-gsi-make-clean.patch (accepted upstream) and
    globus-gssapi-gsi-alpn-test.patch (previously backported)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 22 Oct 2017 18:51:22 +0200

globus-gssapi-gsi (13.1-2) unstable; urgency=medium

  * Fix alpn mismatch test (backport from upstream git)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 29 Sep 2017 19:05:09 +0200

globus-gssapi-gsi (13.1-1) unstable; urgency=medium

  * GT6 update:
    - Use X509_VHOST_CRED_DIR if set when accepting
    - Fix race condition
  * Drop patch globus-gssapi-gsi-race.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 26 Sep 2017 12:32:42 +0200

globus-gssapi-gsi (13.0-1) unstable; urgency=medium

  * GT6 update:
    - Add SNI vhost cred dir support
    - Add optional ALPN processing
  * Fix race condition in the Makefile in test directory

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 10 Sep 2017 06:52:40 +0200

globus-gssapi-gsi (12.17-3) unstable; urgency=medium

  * Restore usage of SSL_OP_DONT_INSERT_EMPTY_FRAGMENTS option

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 01 Aug 2017 07:53:20 +0200

globus-gssapi-gsi (12.17-2) unstable; urgency=medium

  * Migrate to dbgsym packages
  * Support DEB_BUILD_OPTIONS=nocheck

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 06 Jul 2017 12:58:35 +0200

globus-gssapi-gsi (12.17-1) unstable; urgency=medium

  * GT6 update: Fix indicate_mechs_test when using openssl v1.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 04 Jul 2017 18:18:51 +0200

globus-gssapi-gsi (12.16-1) unstable; urgency=medium

  * GT6 update
    - Don't unlock unlocked mutex (12.14)
    - Remove legacy SSLv3 support (12.15)
    - Test fixes (12.16)
  * Drop patch globus-gssapi-gsi-mutex-unlock.patch (fixed upstream 12.14)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Jun 2017 20:06:29 +0200

globus-gssapi-gsi (12.13-2) unstable; urgency=medium

  * Don't unlock unlocked mutex

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 10 Mar 2017 11:24:37 +0100

globus-gssapi-gsi (12.13-1) unstable; urgency=medium

  * GT6 update: Skip mech v1 tests for OpenSSL >= 1.1.0

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Dec 2016 05:19:53 +0100

globus-gssapi-gsi (12.12-1) unstable; urgency=medium

  * GT6 update: Add support for new mech oid for different MIC formats

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 09 Nov 2016 00:47:15 +0100

globus-gssapi-gsi (12.9-1) unstable; urgency=medium

  * GT6 update
    - Add backward compatibility fallback in verify_mic (12.7)
    - Fix hash detection (12.8)
    - Fix bad index references (12.9)
  * Drop patch globus-gssapi-gsi-compat-mic.patch (fixed upstream 12.7)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 24 Sep 2016 17:49:08 +0200

globus-gssapi-gsi (12.5-2) unstable; urgency=medium

  * Use backward compatible mic by default for now

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 16 Sep 2016 18:23:45 +0200

globus-gssapi-gsi (12.5-1) unstable; urgency=medium

  * GT6 update
    - Updates for mic handling without using internal openssl structs (12.4)
    - More tweaks to get_mic/verify_mic for 1.0.1 (12.5)
  * Drop patch globus-gssapi-gsi-no-mic-test.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 07 Sep 2016 14:35:21 +0200

globus-gssapi-gsi (12.3-1) unstable; urgency=medium

  * GT6 update: Updates for OpenSSL 1.1.0 (Closes: #828323)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 01 Sep 2016 14:07:09 +0200

globus-gssapi-gsi (12.1-1) unstable; urgency=medium

  * GT6 update
  * Change default host verification mode to strict
  * Add support for certificates without a CN

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 06 May 2016 15:48:47 +0200

globus-gssapi-gsi (11.26-2) unstable; urgency=medium

  * Set SOURCE_DATE_EPOCH and rebuild using doxygen 1.8.11
    (for reproducible build)
  * Update URLs (use toolkit.globus.org)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 16 Feb 2016 16:12:28 +0100

globus-gssapi-gsi (11.26-1) unstable; urgency=medium

  * GT6 update
  * Fix FORCE_TLS setting to allow TLSv1.1 and TLS1.2, not just TLSv1.0

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 28 Jan 2016 04:00:14 +0100

globus-gssapi-gsi (11.25-1) unstable; urgency=medium

  * GT6 update: support loading mutiple extra CA certs

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 13 Jan 2016 16:04:51 +0100

globus-gssapi-gsi (11.24-1) unstable; urgency=medium

  * GT6 update (upstream's release of previous fix)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 10 Dec 2015 14:37:30 +0100

globus-gssapi-gsi (11.22-2) unstable; urgency=medium

  * Don't call SSLv3_method unless it is available

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 08 Nov 2015 05:52:09 +0100

globus-gssapi-gsi (11.22-1) unstable; urgency=medium

  * GT6 update: GT-627: gss_import_cred crash

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 09 Sep 2015 22:16:17 +0200

globus-gssapi-gsi (11.20-1) unstable; urgency=medium

  * GT6 update
  * GT-614: GLOBUS_GSS_C_NT_HOST_IP doesn't allow host-only imports and
    comparisons

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 29 Jul 2015 17:16:39 +0200

globus-gssapi-gsi (11.19-1) unstable; urgency=medium

  * GT6 update (export config file values into environment if not set already)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 20 Jun 2015 23:34:15 +0200

globus-gssapi-gsi (11.18-1) unstable; urgency=medium

  * GT6 update (Change the name compatibility mode in gsi.conf to HYBRID to
    match the behavior in 11.14 and earlier. Also some test fixes.)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 05 Jun 2015 12:43:22 +0200

globus-gssapi-gsi (11.16-1) unstable; urgency=medium

  * GT6-update (SSL cipher configuration)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 29 May 2015 20:16:57 +0200

globus-gssapi-gsi (11.14-2) unstable; urgency=medium

  * Rebuild using doxygen 1.8.9.1 (Closes: #630065)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 30 Apr 2015 14:39:31 +0200

globus-gssapi-gsi (11.14-1) unstable; urgency=medium

  * GT6 update
  * Drop patch globus-gssapi-gsi-doxygen.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 15 Nov 2014 13:29:20 +0100

globus-gssapi-gsi (11.13-3) unstable; urgency=medium

  * Add Pre-Depends for dpkg-maintscript-helper

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 08 Nov 2014 23:27:13 +0100

globus-gssapi-gsi (11.13-2) unstable; urgency=medium

  * Properly handle symlink-to-dir conversion in doc package
  * Enable verbose tests

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 07 Nov 2014 17:10:52 +0100

globus-gssapi-gsi (11.13-1) unstable; urgency=medium

  * GT6 update
  * Update patch globus-gssapi-gsi-doxygen.patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 Oct 2014 10:33:18 +0100

globus-gssapi-gsi (11.12-1) unstable; urgency=medium

  * Update to Globus Toolkit 6.0
  * Drop GPT build system and GPT packaging metadata
  * Enable checks

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 23 Sep 2014 14:11:56 +0200

globus-gssapi-gsi (10.10-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.5
  * Implement Multi-Arch support
  * Rename dbg package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 10 Nov 2013 15:26:31 +0100

globus-gssapi-gsi (10.7-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 May 2013 16:36:28 +0200

globus-gssapi-gsi (10.7-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.2

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 Jul 2012 11:23:49 +0200

globus-gssapi-gsi (10.6-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.1
  * Drop patches globus-gssapi-gsi-deps.patch, globus-gssapi-gsi-format.patch
    and globus-gssapi-gsi-doxygen.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 28 Apr 2012 23:15:24 +0200

globus-gssapi-gsi (10.2-2) unstable; urgency=low

  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 18:08:42 +0100

globus-gssapi-gsi (10.2-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.0
  * Make doc package architecture independent

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 27 Dec 2011 15:18:29 +0100

globus-gssapi-gsi (7.8-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.4
  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 05 Jun 2011 20:39:43 +0200

globus-gssapi-gsi (7.6-2) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616243)
  * Remove calls to private openssl function - might cause problems,
    but at least it compiles (Closes: #621719)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 26 Apr 2011 07:29:28 +0200

globus-gssapi-gsi (7.6-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 Feb 2011 06:07:56 +0100

globus-gssapi-gsi (7.5-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)
  * Add new build dependency on texlive-font-utils due to changes in texlive
    packaging (epstopdf moved there)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:30 +0200

globus-gssapi-gsi (7.5-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.1
  * Drop patch globus-gssapi-gsi-openssl.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 15 Apr 2010 14:22:42 +0200

globus-gssapi-gsi (7.0-2) unstable; urgency=low

  * Update openssl 1.0.0 patch based on RIC-29 branch in upstream CVS

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 08 Feb 2010 10:50:31 +0100

globus-gssapi-gsi (7.0-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0
  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 28 Jan 2010 18:44:45 +0100

globus-gssapi-gsi (5.9-4) unstable; urgency=low

  * Fix rule dependencies in the debian/rules file.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 13 May 2009 13:56:33 +0200

globus-gssapi-gsi (5.9-3) unstable; urgency=low

  * Initial release (Closes: #514471).
  * Rebuilt to correct libltdl dependency.
  * Preparing for other 64bit platforms than amd64.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 18 Apr 2009 20:17:33 +0200

globus-gssapi-gsi (5.9-2) UNRELEASED; urgency=low

  * Only quote the Apache-2.0 license if necessary.
  * Updated deprecated Source-Version in debian/control.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 26 Mar 2009 09:21:25 +0100

globus-gssapi-gsi (5.9-1) UNRELEASED; urgency=low

  * First build.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 03 Jan 2009 09:59:35 +0100
